/***************************************************************************
 *   Copyright (C) 2004 by Brent Kelly                                     *
 *   hornedgod@hotmail.com                                                 *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef KLEDCONFIGWINDOW_H
#define KLEDCONFIGWINDOW_H

#include <kmainwindow.h>
#include <qspinbox.h>
#include <qlabel.h>
#include <qpushbutton.h>
#include <kcombobox.h>

/**
@author Brent Kelly
*/
class KLedConfigWindow : public KMainWindow
{        
    Q_OBJECT
public:
    KLedConfigWindow();
    ~KLedConfigWindow();

protected:
    virtual bool queryClose();
    QLabel *m_lblDeviceTextLabel;
    QLabel *m_lblPollRateTextLabel;
    QSpinBox *m_spnPollRate;
    KComboBox *m_cboDevice; 
    QPushButton *m_btnSave;
    QPushButton *m_btnCancel;

protected slots:
    void slot_SaveClicked();
    void slot_CancelClicked();
};

#endif
