/***************************************************************************
 *   Copyright (C) 2004 by Brent Kelly                                     *
 *   hornedgod@hotmail.com                                                 *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef KLEDWINDOW_H
#define KLEDWINDOW_H

#include <kmainwindow.h>
#include <qlabel.h>
#include <qpushbutton.h>

class KLedwindow : public KMainWindow
{
        Q_OBJECT
public:
    KLedwindow();
    ~KLedwindow();
    
    void updateStatus(long tx, long rx);
    
protected:
    virtual bool queryClose();
    QLabel *m_rxTextLabel;
    QLabel *m_txTextLabel;
    QLabel *m_rxAmountLabel;
    QLabel *m_txAmountLabel;
    QPushButton *m_btnClose;

protected slots:
    void slot_CloseClicked();
};

#endif
